RDMnet::BrokerProtocol::disconnect_data Struct Reference

6.3.1.15 Client Disconnect More...

`#include <broker-protocol.h>`

Inheritance diagram for RDMnet::BrokerProtocol::disconnect_data:
[legend]

## Public Member Functions

size_t | streamSize () const override
| streamSize More...
void | iStream (ACN::PDU::Stream s) override
| fill structure data from input stream
void | oStream (ACN::PDU::Stream s) const override
| write structure data to output stream

## Public Attributes

uint16_t | reason
| reason code

## Detailed Description

6.3.1.15 Client Disconnect

## Member Function Documentation

## streamSize()

size_t RDMnet::BrokerProtocol::disconnect_data::streamSize | ( |  | ) | const

inlineoverridevirtual

streamSize

Returns
  length (count of octets) on the wire

Implements ACN::PDU::pdu_stream_object.

The documentation for this struct was generated from the following file:

- /home/kevin/Code/viewer/lib/OpenLCP/protocols/rdmnet/broker-protocol.h